#
# spec file for package netease-cloud-music
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2019 openSUSE Chinese community
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           netease-cloud-music
Version:        1.2.1
Release:        1699.5.pm.6
Summary:        Netease cloud music installer
License:        SUSE-NonFree
Group:          Productivity/Multimedia/Sound/Players
Url:            http://music.163.com/
Source0:        %{name}.sh.in
Source1:        %{name}.bash
Source2:        patch.c
Source99:       %{name}.appdata.xml
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  gcc
Requires:       desktop-file-utils
Requires:       hicolor-icon-theme
Requires:       binutils
Requires:       vlc
Requires:       gconf2
Recommends:     gstreamer-plugins-bad-orig-addon
Recommends:     gstreamer-plugins-good-extra
Recommends:     gstreamer-plugins-libav
Recommends:     gstreamer-plugins-ugly-orig-addon
Recommends:     vlc-lang
Provides:       netease-music = %{version}
ExclusiveArch:  x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a installer script for NetEase Cloud Music, it can help you to
install NetEase Cloud Music in your openSUSE.

NetEase Cloud Music is an app to stream music and download songs to your
device's memory. The best thing about it is that it lets you do this with
thousands of songs, all completely free.

NetEase Cloud Music is something like a free Chinese Spotify that gives
unlimited access to almost any song you can imagine. Even if the app is
designed mainly for people in China, you can still use it to find almost
all the big-name international musicians.

%prep

%build
cc -O2 -fPIC -shared -I /usr/include/vlc/plugins/ -o libnetease-patch.so %{SOURCE2}

%install
%suse_install_update_script %{SOURCE0}
install -d %{buildroot}%{_localstatedir}/adm/update-messages
touch %{buildroot}%{_localstatedir}/adm/update-messages/%{name}-%{version}-%{release}-1
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/opt/netease/netease-cloud-music
install -d %{buildroot}/opt/netease/netease-cloud-music/libs
install -d %{buildroot}/opt/netease/netease-cloud-music/libs/nss
install -d %{buildroot}/opt/netease/netease-cloud-music/libs/qcef
install -d %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins/xcbglintegrations
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins/platforminputcontexts
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins/imageformats
install -d %{buildroot}/opt/netease/netease-cloud-music/plugins/iconengines
install -m 755 libnetease-patch.so %{buildroot}/opt/netease/netease-cloud-music/libnetease-patch.so
install -d %{buildroot}%{_datadir}/applications/
install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
install -d %{buildroot}%{_datadir}/doc/netease-cloud-music/
install %{SOURCE1} %{buildroot}/opt/netease/netease-cloud-music/netease-cloud-music.bash
chmod +x %{buildroot}/opt/netease/netease-cloud-music/netease-cloud-music.bash
install -Dm644 %{SOURCE99} %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
touch %{buildroot}%{_bindir}/netease-cloud-music
touch %{buildroot}/opt/netease/netease-cloud-music/netease-cloud-music
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5XcbQpa.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Network.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libqcef.so.1
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libicui18n.so.60
touch %{buildroot}/opt/netease/netease-cloud-music/libs/nss/libfreeblpriv3.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/nss/libsoftokn3.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/nss/libnssdbm3.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/nss/libfreebl3.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/nss/libnssckbi.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libqcef.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5WebChannel.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libicuuc.so.60
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Qml.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Widgets.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/sv.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/pt-BR.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/it.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/en-US.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/vi.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/lv.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/te.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/fa.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ro.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ta.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/nl.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/sw.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/de.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ja.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ru.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/id.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/hi.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ko.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/gu.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/th.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/bn.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/lt.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/am.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/uk.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/kn.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/es.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/sl.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/nb.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/sr.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/hr.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ml.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/bg.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/en-GB.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/zh-CN.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/zh-TW.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/es-419.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/mr.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ar.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/pt-PT.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/tr.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ms.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/hu.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/sk.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/cs.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/ca.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/fil.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/et.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/da.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/fr.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/pl.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/fi.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/he.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/locales/el.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/icudtl.dat
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/cef_extensions.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/cef.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/natives_blob.bin
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/libcef.so
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/devtools_resources.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/chrome-sandbox
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/cef_200_percent.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/snapshot_blob.bin
touch %{buildroot}/opt/netease/netease-cloud-music/libs/qcef/cef_100_percent.pak
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libqcef.so.1.1.4
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5X11Extras.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5DBus.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Svg.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5EglFSDeviceIntegration.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Xml.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Core.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libicudata.so.60
touch %{buildroot}/opt/netease/netease-cloud-music/libs/libQt5Gui.so.5
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqlinuxfb.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqeglfs.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqxcb.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqvnc.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqminimalegl.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqminimal.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforms/libqoffscreen.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/xcbglintegrations/libqxcb-glx-integration.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/xcbglintegrations/libqxcb-egl-integration.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/imageformats/libqico.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/imageformats/libqgif.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/imageformats/libqsvg.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/imageformats/libqjpeg.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/iconengines/libqsvgicon.so
touch %{buildroot}/opt/netease/netease-cloud-music/plugins/iconengines/libqsvgicon.so
touch %{buildroot}%{_datadir}/applications/netease-cloud-music.desktop
touch %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/netease-cloud-music.svg

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_localstatedir}/adm/update-scripts/*
%{_localstatedir}/adm/update-messages/*
%dir /opt/netease
%dir /opt/netease/netease-cloud-music
%dir /opt/netease/netease-cloud-music/libs
%dir /opt/netease/netease-cloud-music/libs/nss
%dir /opt/netease/netease-cloud-music/libs/qcef
%dir /opt/netease/netease-cloud-music/libs/qcef/locales
%dir /opt/netease/netease-cloud-music/plugins
%dir /opt/netease/netease-cloud-music/plugins/platforms
%dir /opt/netease/netease-cloud-music/plugins/xcbglintegrations
%dir /opt/netease/netease-cloud-music/plugins/platforminputcontexts
%dir /opt/netease/netease-cloud-music/plugins/imageformats
%dir /opt/netease/netease-cloud-music/plugins/iconengines
%dir %{_datadir}/doc/netease-cloud-music
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/%{name}.appdata.xml
/opt/netease/netease-cloud-music/netease-cloud-music.bash
%ghost %{_bindir}/netease-cloud-music
%ghost /opt/netease/netease-cloud-music/netease-cloud-music
%ghost /opt/netease/netease-cloud-music/libs/libQt5XcbQpa.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5Network.so.5
%ghost /opt/netease/netease-cloud-music/libs/libqcef.so.1
%ghost /opt/netease/netease-cloud-music/libs/libicui18n.so.60
%ghost /opt/netease/netease-cloud-music/libs/nss/libfreeblpriv3.so
%ghost /opt/netease/netease-cloud-music/libs/nss/libsoftokn3.so
%ghost /opt/netease/netease-cloud-music/libs/nss/libnssdbm3.so
%ghost /opt/netease/netease-cloud-music/libs/nss/libfreebl3.so
%ghost /opt/netease/netease-cloud-music/libs/nss/libnssckbi.so
%ghost /opt/netease/netease-cloud-music/libs/libqcef.so
%ghost /opt/netease/netease-cloud-music/libs/libQt5WebChannel.so.5
%ghost /opt/netease/netease-cloud-music/libs/libicuuc.so.60
%ghost /opt/netease/netease-cloud-music/libs/libQt5Qml.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5Widgets.so.5
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/sv.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/pt-BR.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/it.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/en-US.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/vi.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/lv.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/te.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/fa.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ro.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ta.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/nl.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/sw.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/de.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ja.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ru.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/id.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/hi.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ko.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/gu.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/th.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/bn.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/lt.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/am.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/uk.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/kn.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/es.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/sl.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/nb.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/sr.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/hr.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ml.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/bg.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/en-GB.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/zh-CN.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/zh-TW.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/es-419.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/mr.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ar.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/pt-PT.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/tr.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ms.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/hu.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/sk.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/cs.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/ca.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/fil.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/et.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/da.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/fr.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/pl.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/fi.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/he.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/locales/el.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/icudtl.dat
%ghost /opt/netease/netease-cloud-music/libs/qcef/cef_extensions.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/cef.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/natives_blob.bin
%ghost /opt/netease/netease-cloud-music/libs/qcef/libcef.so
%ghost /opt/netease/netease-cloud-music/libs/qcef/devtools_resources.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/chrome-sandbox
%ghost /opt/netease/netease-cloud-music/libs/qcef/cef_200_percent.pak
%ghost /opt/netease/netease-cloud-music/libs/qcef/snapshot_blob.bin
%ghost /opt/netease/netease-cloud-music/libs/qcef/cef_100_percent.pak
%ghost /opt/netease/netease-cloud-music/libs/libqcef.so.1.1.4
%ghost /opt/netease/netease-cloud-music/libs/libQt5X11Extras.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5DBus.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5Svg.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5EglFSDeviceIntegration.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5Xml.so.5
%ghost /opt/netease/netease-cloud-music/libs/libQt5Core.so.5
%ghost /opt/netease/netease-cloud-music/libs/libicudata.so.60
%ghost /opt/netease/netease-cloud-music/libs/libQt5Gui.so.5
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqlinuxfb.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqeglfs.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqxcb.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqvnc.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqminimalegl.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqminimal.so
%ghost /opt/netease/netease-cloud-music/plugins/platforms/libqoffscreen.so
%ghost /opt/netease/netease-cloud-music/plugins/xcbglintegrations/libqxcb-glx-integration.so
%ghost /opt/netease/netease-cloud-music/plugins/xcbglintegrations/libqxcb-egl-integration.so
%ghost /opt/netease/netease-cloud-music/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
%ghost /opt/netease/netease-cloud-music/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
%ghost /opt/netease/netease-cloud-music/plugins/imageformats/libqico.so
%ghost /opt/netease/netease-cloud-music/plugins/imageformats/libqgif.so
%ghost /opt/netease/netease-cloud-music/plugins/imageformats/libqsvg.so
%ghost /opt/netease/netease-cloud-music/plugins/imageformats/libqjpeg.so
%ghost /opt/netease/netease-cloud-music/plugins/iconengines/libqsvgicon.so
/opt/netease/netease-cloud-music/libnetease-patch.so
%ghost %{_datadir}/applications/netease-cloud-music.desktop
%ghost %{_datadir}/icons/hicolor/scalable/apps/netease-cloud-music.svg
%ghost %{_datadir}/doc/netease-cloud-music/changelog.gz
%ghost %{_datadir}/doc/netease-cloud-music/copyright

%changelog
* Wed May 11 2022 Hillwood Yang <hillwood@opensuse.org>
- Fix can not flayback flac
* Sat Jun 13 2020 Hillwood Yang <hillwood@opensuse.org>
- Rename netease-cloud-music-appdata.xml to netease-cloud-music.appdata.xml
* Wed Oct 30 2019 Hillwood Yang <hillwood@opensuse.org>
- Add checksum
* Mon Oct 28 2019 Hillwood Yang <hillwood@opensuse.org>
- Hack netease-cloud-music.bash
- Update required package.
* Sun Oct 27 2019 Hillwood Yang <hillwood@opensuse.org>
- Fix download on Tumbleweed
- Update appdata install path
* Wed Sep 25 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.2.1
  * Fix package build script missing libpango-1.0.so.0 library
  * Update webapp
  * Optimize the experience of multi-screen and high-DPI screens
  * Fix context menu visibility on web window
  * Tuning cross fade effect
  * Support volume change requests in mpris interface
  * Enable default window frame on xfce4 desktop
* Sun Nov 26 2017 hillwood@opensuse.org
- Add appdata.xml
- Use https
* Fri Nov 17 2017 hillwood@opensuse.org
- Update to 1.1.0
  * Use VLC
  * Fix Bugs
  * Drop support for 32bit.
  * Disable sandbox for all by upsteam
  * New QCEF framework
  * Suport more formart
  * Fix unknown code for lyrics in QT5.9
  * Merge QT libraries in package
  * Optimize mpris.
- Update filelist.
* Mon Oct 16 2017 hillwood@opensuse.org
- Set binutils by Requires tag.
* Fri Oct  6 2017 hillwood@opensuse.org
- Update to 1.0.0.2
  * Fix bug.
- Use https for download.
- Fix crash for Tumbleweed.
  * Disable sandbox.
- Fix unknown option for wget.
* Tue Mar  7 2017 i@marguerite.su
- use non-interactive mode in install script, or zypper will hang
  at package reinstall, reported by forum user.
* Sat Dec 24 2016 i@marguerite.su
- make sure `cp` command will copy files inside a directory to
  another directory, not the directory itself to another directory
  as a sub-directory
* Thu Dec 22 2016 i@marguerite.su
- simplify the script:
  * remove checksum stuff. keep it simple and clean
* Fri Jul 15 2016 i@marguerite.su
- drop dpkg runtime dependency, 'ar -x' can unpack deb, no need
  for dpkg which is too heavy
- rework the script:
  * versioned TMP_DIR which is easy to clean
  * don't uninstall old version in the script, which is dangerous
    and should be handled by RPM.
  * fix documentation directory to /usr/share/doc/packages
  * add more postinstall procedures
  * fix some false claims
  * rewrite with bash functions, now it will retry download for 3 times
* Fri Jul  8 2016 hillwood@opensuse.org
- Fix update program in install script.
* Tue Jul  5 2016 hillwood@opensuse.org
- Update to 1.0.0
  * Bug fixed
- Add some Recommends packages
* Thu Jun 16 2016 hillwood@opensuse.org
- Fix Categories of desktop file.
* Sat Jun  4 2016 hillwood@opensuse.org
- Add checking sha1sum for deb package.
* Fri Jun  3 2016 hillwood@opensuse.org
- Cleanup spec
  * Update description
  * Update home page
  * fix License
- Update install script
  * Add doc files
* Sun May 29 2016 hillwood@opensuse.org
- Initial package.
